MethodHandleEntry (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: java.lang.classfile.constantpool, interface: MethodHandleEntry
Keywords: java.lang.classfile.constantpool.MethodHandleEntry interface

Module java.base
Package java.lang.classfile.constantpoolPREVIEW

# Interface MethodHandleEntry

All Superinterfaces:
  `ClassFileElementPREVIEW`, `LoadableConstantEntryPREVIEW`, `PoolEntryPREVIEW`, `WritableElementPREVIEW<PoolEntryPREVIEW>`

public sealed interface MethodHandleEntry extends LoadableConstantEntryPREVIEW
`MethodHandleEntry` is a preview API of the Java platform.
Programs can only use `MethodHandleEntry` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models a `CONSTANT_MethodHandle_info` constant in the constant pool of a classfile.

See Java Virtual Machine Specification:
  4.4.8 The CONSTANT_MethodHandle_info Structure
Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DirectMethodHandleDesc`
  `asSymbol()`
  Returns a symbolic descriptor for this method handle.
  `default ConstantDesc`
  `constantValue()`
  Returns the constant described by this entry.
  `int`
  `kind()`
  Returns the reference kind of this method handle 4.4.8.
  `MemberRefEntryPREVIEW`
  `reference()`
  Returns the constant pool entry describing the method.

  ### Methods declared in interface java.lang.classfile.constantpool.LoadableConstantEntryPREVIEW

  `typeKind`

  ### Methods declared in interface java.lang.classfile.constantpool.PoolEntryPREVIEW

  `constantPool, index, tag, width`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### constantValue

    default ConstantDesc constantValue()
    Description copied from interface: `LoadableConstantEntry`
    Returns the constant described by this entry.
    Specified by:
      `constantValue` in interface `LoadableConstantEntryPREVIEW`
    Returns:
      the constant described by this entry

  - ### kind

    int kind()
    Returns the reference kind of this method handle 4.4.8.
    Returns:
      the reference kind of this method handle 4.4.8
    See Also:
      - `MethodHandleInfo`

  - ### reference

    MemberRefEntryPREVIEW reference()
    Returns the constant pool entry describing the method.
    Returns:
      the constant pool entry describing the method

  - ### asSymbol

    DirectMethodHandleDesc asSymbol()
    Returns a symbolic descriptor for this method handle.
    Returns:
      a symbolic descriptor for this method handle